mpi4py (4.0.3-3ubuntu2) questing; urgency=medium

  * Backport upstream patch to fix build with Sphinx 8.2 (LP: #2113468).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 08 Jun 2025 22:54:55 +0300

mpi4py (4.0.3-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining chamges:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 13:07:02 +0100

mpi4py (4.0.3-3) unstable; urgency=medium

  * skip spawn tests with OpenMPI. See Bug#1100120
  * avoid network-related (OPAL/libucs) tests errors by setting
    OMPI_MCA_btl_tcp_if_include=lo. Again, see Bug#1100120

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 23:03:55 +0100

mpi4py (4.0.3-2) unstable; urgency=medium

  * skip failing tests triggering a PMIX error in OpenMPI builds,
    to work around Bug#1098576
    - in test_util_pkl5: testIMProbe, testISSendAndRecv,
      testISSendCancel, testMessageProbeIProbe, testMProbe, testProbe,
      testTestAll, testGetStatusAll, testWaitAll
    - also test_util_pool: test_apply, test_async_error_callback,
      test_empty_iterable, test_imap, test_istarmap, test_map,
      test_pool_worker_lifetime_early_close, test_starmap,
      test_starmap_async
    - test_util_sync: testAcquireFree, testFree, testWaitForNotify,
      testWaitNotify, testDefault, testIter, testRoot, testNext,
      testStart, testTypechar, testStep, testAcquireRelease,
      testExclusion, testFairness, testAcquireNonblocking,
      test_unsupported_args, testWith, testValue, testBeginEnd
    - test_win: testAttributes, testCreateFlavor, testGetGroup,
      testGetAttr, testGetSetErrhandler, testGetSetInfo, testMemory,
      test_terminate, testGetSetName, testPyProps, testPickle,
      testSharedQuery, testAttachDetach

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 14:57:09 +0100

mpi4py (4.0.3-1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:39:25 +0000

mpi4py (4.0.3-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 20:16:10 -0600

mpi4py (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Feb 2025 21:59:12 +0100

mpi4py (4.0.1-7) unstable; urgency=medium

  * drop DMA test skips. PMIX errors in bigendian (s390x) fixed by
    prrte patch in openmpi 5.0.6-1 (see Bug#1087800)

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jan 2025 23:18:53 +0100

mpi4py (4.0.1-6ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 29 Nov 2024 17:44:01 +0100

mpi4py (4.0.1-6) unstable; urgency=medium

  * mips64el is in trouble. Reinstate version restriction. Test
    default python only and skip all TestRMA.
  * skip testAccumulate from test_rma_nb on bigendian architectures
    (s390x ppc64 sparc64, not alpha). Skip separately from DMA skips.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2024 21:55:01 +0100

mpi4py (4.0.1-5) unstable; urgency=medium

  * update test skips
    - add alpha, sparc64 to the DMA skip list
    - DMA skip arches also skip testGetAccumulate
    - mips64el skips all TestRMA
  * revert mips64el version restriction, run tests on all supported
    python versions. The problem was TestRMA.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2024 11:53:52 +0100

mpi4py (4.0.1-4) unstable; urgency=medium

  * s390x ppc64: skip all TestDPM tests (test_dynproc.py)
    see https://github.com/mpi4py/mpi4py/issues/586
    Closes: #1087609. Future ref. #1087800.
  * apply test skips to serial build tests
  * debian/rules: explicitly set DEB_HOST_ARCH
  * mips64el times out. Run build tests on default python only

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 23:37:00 +0100

mpi4py (4.0.1-3ubuntu2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:13:34 +0100

mpi4py (4.0.1-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch
  * Add armhf and s390x to the list of architectures to ignore test results.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Nov 2024 09:22:46 +0100

mpi4py (4.0.1-3) unstable; urgency=medium

  * s390x ppc64: skip testConnectAccept too

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 02:09:27 +0100

mpi4py (4.0.1-2) unstable; urgency=medium

  * skip testAcceptConnect (test_dynproc.TestDPM) on s390x ppc64
    which segfaults with PMIX_ERR_BAD_PARAM. Closes: #1087609.
  * reinstate skipping testPackUnpackExternal on sparc64.
    OpenMPI 4.1.2 broke memory alignment on sparc64,
    see https://github.com/mpi4py/mpi4py/issues/147
    Closes: #1059791

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 00:23:20 +0100

mpi4py (4.0.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_symbols_PR549.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Nov 2024 15:47:58 +0100

mpi4py (4.0.0-9) unstable; urgency=medium

  * Team upload.
  * Use the new OpenMPI 5 environment variable to allow oversubscription.
    This should allow the package to be built on systems with a single CPU.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Nov 2024 21:55:00 +0100

mpi4py (4.0.0-8) unstable; urgency=medium

  * python3-mpi4py Breaks: python3-pyzoltan (<< 1.0.1-10~)
    mpi4py 4 requires pyzoltan to patch the definition of MPI_Session

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Sep 2024 09:51:16 +0200

mpi4py (4.0.0-7) unstable; urgency=medium

  * update debian/copyright: mpi4py 4 was released under BSD-3-clause
  * avoid oversubscribing tests (i386 takes 1 hour running 3 processes
    where only 2 are available). Use no more than the available number
    of processors, except do use at least 2 processes.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Sep 2024 00:24:43 +0200

mpi4py (4.0.0-6) unstable; urgency=medium

  * debian/tests: fix test for DEB_HOST_ARCH (i386 uses 3 processes)

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 10:21:08 +0200

mpi4py (4.0.0-5) unstable; urgency=medium

  * update debian/tests
    - run tests from mpi4py-test script
    - report number of available processing units (nproc)
    - run i386 tests with 3 processors not 5.
      mpich is particularly slow on i386 (times out).

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Sep 2024 09:36:37 +0200

mpi4py (4.0.0-4) unstable; urgency=medium

  * debian patch fix_symbols_PR549.patch applies upstream PR#549 to
    fix access of library symbols during tests. Needed for mpich tests
    on 32-bit arches.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Sep 2024 20:31:46 +0200

mpi4py (4.0.0-3) unstable; urgency=medium

  * Apply MPI4PY_TEST_SPAWN=false with tests on all arches to avoid
    spawn failures with OpenMPI 4. Requires GITHUB_ACTIONS=true to
    activate. Spawn is generally flakey with  OpenMPI 4. Reenable
    spawn tests later with OpenMPI 5. Closes: #1081459.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2024 09:33:57 +0200

mpi4py (4.0.0-2) unstable; urgency=medium

  * update debian patch skip_ppc_failing_tests.patch to skip
    testArgsOnlyAtRoot on powerpc. See upstream Issue#541.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Sep 2024 21:56:15 +0200

mpi4py (4.0.0-1exp2) experimental; urgency=medium

  * reinstate and update debian patch skip_ppc_failing_tests.patch.
    Add ppc skip to testCodeCharStr.
  * add debian patch skip_s390x_failing_tests.patch to skip
    test_util_pool.TestProcessPool.test_apply on s390x
  * reinstate debian/patches/skip_testPackUnpackExternal_sparc64.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2024 11:43:15 +0200

mpi4py (4.0.0-1exp1) experimental; urgency=medium

  * Major new upstream release
    - Build-Depends: cython3
    - applies or deprecates debian patches
      docs_privacy.patch
      fix_docs.patch
      io_long_double_i386_2d868d7.patch
      mpich_32bit_13e8af6.patch
      up_no_modlibs
  * doc build no longer uses usrman subdir
  * mpi4py man page now provided in section 3
  * drop deprecated debian/missing-sources
  * new major release, make a clean sweep of patches: drop all debian
    patches skipping tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Jul 2024 23:49:55 +0200

mpi4py (3.1.6-9ubuntu1) oracular; urgency=medium

  * Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Sep 2024 10:51:28 +0000

mpi4py (3.1.6-9) unstable; urgency=medium

  * debian patch mpich_32bit_13e8af6.patch applies upstream commit
    13e8af6 to better handle 32-bit architectures.
    Drop test_pack skipping from skip_failing_tests_32bit_mpich.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jul 2024 11:47:14 +0200

mpi4py (3.1.6-8) unstable; urgency=medium

  * update debian patch skip_failing_tests_32bit_mpich.patch to skip
    spawn tests (BaseTestSpawn) with mpich on all 32-bit systems.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jul 2024 23:46:26 +0200

mpi4py (3.1.6-7) unstable; urgency=medium

  * update debian patch skip_failing_tests_32bit_mpich.patch to skip
    testPackUnpackExternal with mpich on all 32-bit systems.
    The previous i386 "success" was actually an ignored failure.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jul 2024 13:39:02 +0200

mpi4py (3.1.6-6) unstable; urgency=medium

  * debian patch test_exception_MPI_ERR_ERRHANDLER_mpich.patch defines
    MPI_ERR_ERRHANDLER=80 to enable mpich to pass test_exceptions.py.
    MPI_ERR_ERRHANDLER is defined and used by mpich 4.2 but not yet
    implemented by openmpi 4.1.6. See upstream Issue#514.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 10:42:42 +0200

mpi4py (3.1.6-5) unstable; urgency=medium

  * update skip_failing_tests_32bit_mpich.patch to skip all spawn tests
    (BaseTestSpawn) for failing mpich 32-bit arches
    (armel, armhf, hppa, powerpc)

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jul 2024 12:04:34 +0200

mpi4py (3.1.6-4) unstable; urgency=medium

  * update skip_failing_tests_32bit_mpich.patch to skip testCommSpawn
    on 32-bit mpich, and apply spawn skips to armel, armhf, hppa.
  * run tests with mpi -v verbose flag to help debug mpich failures

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 21:58:29 +0200

mpi4py (3.1.6-3) unstable; urgency=medium

  * fix debian patch s)kip_failing_tests_32bit_mpich.patch
    - treat armel, armhf, hppa machine ids as prefixes (arm*, parisc*)
      (it's actually armv7l, parisc64 on porterboxes)
    - skip testArgsOnlyAtRootMultiple (test_spawn) on powerpc with mpich
  * update intersphinx_use_local_inventory.patch to include local
    numpy docs. Build-Depends-Indep: python-numpy-doc

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 16:00:41 +0200

mpi4py (3.1.6-2) unstable; urgency=medium

  * debian patch skip_failing_tests_32bit_mpich.patch skips failing
    tests with 32-bit mpich. See upstream Issue#514. Closes: #1075980.
    - armel, armhf, hppa: testPackUnpackExternal (test_pack.py)
    - powerpc: testArgsOnlyAtRoot (test_spawn.py)

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 11:22:23 +0200

mpi4py (3.1.6-1) unstable; urgency=medium

  * New upstream release.
  * build and test over all supported (not requested) python versions
  * build docs against default python version
    (need built version to access MPI python extensions)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 May 2024 17:46:54 +0200

mpi4py (3.1.5-7) unstable; urgency=medium

  * Team upload

  [ Zixing Liu ]
  * Un-break Sphinx documentation generation by removing PYTHONPATH overrides
    (Closes: #1066837)

 -- Graham Inggs <ginggs@debian.org>  Wed, 08 May 2024 13:23:44 +0000

mpi4py (3.1.5-6) unstable; urgency=medium

  * debian patch intersphinx_use_local_inventory.patch uses python3
    docs when building docs. Thanks Zixing Liu from Canonical.
    Closes: #1066837, #1063409
  * add Drew Parsons as uploader

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 May 2024 19:33:49 +0200

mpi4py (3.1.5-5) unstable; urgency=medium

  * Team upload

  [ Matthias Klose ]
  * Let the autopkg test depend on setuptools instead of distutils.
    Closes: #1061813

  [ Andreas Tille ]
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Use correct machine-readable copyright file URI.
  * Add missing build-dependency on python3-setuptools.
  * Add upstream metadata
  * Remove debian/gbp.conf since it contains only default values from
    team policy

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2024 11:49:49 +0100

mpi4py (3.1.5-4) unstable; urgency=medium

  * Team upload.
  * Drop unused Build-Depends: rsh-client.

 -- Bastian Germann <bage@debian.org>  Sun, 14 Jan 2024 20:58:06 +0000

mpi4py (3.1.5-3) unstable; urgency=medium

  * Team upload.
  * reactivate skip_ppc_failing_tests.patch. ppc* is still failing
    testCreateF90{Complex,Real}Double with openmpi 4.1.6.
  * update skip_testPackUnpackExternal_sparc64.patch to skip
    testPackUnpackExternal on sparc64 for all OpenMPI versions <5.0.
    Review next time with OpenMPI 5. See Bug#1059791.

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jan 2024 14:24:22 +0100

mpi4py (3.1.5-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: cython3-legacy
  * disable debian patch skip_ppc_failing_tests.patch to check if
    testCreateF90{Complex,Real}Double now passes on ppc* (Bug#948655)

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jan 2024 10:03:27 +0100

mpi4py (3.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2023 10:38:49 +0100

mpi4py (3.1.4-2) unstable; urgency=medium

  * Team upload.
  * debian patch skip_testPackUnpackExternal_sparc64.patch skips
    testPackUnpackExternal on sparc64. See upstream Issue#147.

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Nov 2022 17:27:32 +0100

mpi4py (3.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches contiguity_check_9ccf55f.patch,
      numpy_1.22_DLPack_e3e4e02.patch, test_ipv6.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 03 Nov 2022 17:54:51 +0100

mpi4py (3.1.3-4) unstable; urgency=medium

  * Team upload.
  * apply patches recommended upstream from maint branch
    - contiguity_check_9ccf55f.patch
    - numpy_1.22_DLPack_e3e4e02.patch applies commit e3e4e02 after
      c252c9c and 069bfde to pass with numpy 1.22.
  * update debian patch test_ipv6.patch against upstream PR#241

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Aug 2022 16:21:39 +0200

mpi4py (3.1.3-3) unstable; urgency=medium

  * Team upload.
  * debian patch test_ipv6.patch tests available internet sockets in
    order to use IPv4 or IPv6 in test_dynproc.TestDPM.testJoin.
    Select IPv4 if available, else IPv6, UNIX or the first available
    (undocumented) socket family. Closes: #1015912.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Aug 2022 15:18:47 +0200

mpi4py (3.1.3-2) unstable; urgency=medium

  * Team upload.
  * debian patch io_long_double_i386_2d868d7.patch applies upstream
    commit 2d868d7 to skip test_io long double tests on i386.
    See upstream mpi4py issue #105, openmpi issue #10287.
    Closes: #998106.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Apr 2022 12:21:10 +0200

mpi4py (3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - adds missing support for MPI.BOTTOM to generalized all-to-all
      collectives
    - no longer provides mpi4py.pdf or info files. Build from source.
      Build-Depends-Indep: texinfo, texlive, latexmk, tex-gyre,
      texlive-latex-extra. Don't compress pdf file.
  * debian patch docs_privacy.patch disables inclusion of
    googletagmanager in docs in order to maintain privacy.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Dec 2021 22:28:02 +0100

mpi4py (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * update debian/control Homepage and debian/watch to
    https://github.com/mpi4py/mpi4py

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Nov 2021 13:26:18 +0100

mpi4py (3.1.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch test_align_PR92.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Nov 2021 22:22:08 +0100

mpi4py (3.1.1-8) unstable; urgency=medium

  * Team upload.
  * upload new version to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Sep 2021 20:55:06 +0200

mpi4py (3.1.1-7) experimental; urgency=medium

  * Team upload.
  * stop providing python3-mpi4py-dbg. Python debug builds are now
    ABI compatible with standard builds. Closes: #994312.
  * rename debian patch skip_tests_riscv64.patch to
    skip_test_dynproc.patch and add ia64.
  * drop NUM_TEST_PROCESSES for tests, revert to 5 processes

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Sep 2021 02:55:02 +0200

mpi4py (3.1.1-6) experimental; urgency=medium

  * Team upload.
  * use NUM_TEST_PROCESSES to set number of processes used in
    build-time tests. Default 5, set to 3 for "weak MPI" arches which
    handle oversubscription poorly.
    Currently WEAK_MPI_ARCH_LIST = ia64 only.
  * debian patch skip_tests_riscv64.patch skips TestDPM.testJoin on
    riscv64, which stalls in build-time tests.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Sep 2021 14:51:13 +0200

mpi4py (3.1.1-5) experimental; urgency=medium

  * Team upload.
  * run build-time tests on 2 processors with -fv flag to help
    identify ia64 and riscv64 test failures.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Sep 2021 10:33:19 +0200

mpi4py (3.1.1-4) experimental; urgency=medium

  * Team upload.
  * update debian patch test_align_PR92.patch from upstream PR#92.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Sep 2021 12:13:21 +0200

mpi4py (3.1.1-3) experimental; urgency=medium

  * Team upload.
  * debian patch test_align_PR92.patch applies upstream PR#92 to fix
    long double alignment in tests for s390x.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Sep 2021 01:24:17 +0300

mpi4py (3.1.1-2) experimental; urgency=medium

  * Team upload.
  * apply OpenMPI settings in debian/rules to make build tests more
    reliable (oversubscribe in particular). See
    https://github.com/mpi4py/setup-mpi/blob/master/setup-mpi.sh#L65
  * debian patch skip_spawn_tests.patch skips all spawn tests
    (test_spawn.py) for OpenMPI. Spawn not stable in OpenMPI 4, see
    https://github.com/jsquyres/ompi/pull/4#issuecomment-806897758
    In particular it causes builds to fail in chroots (buildds).

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Aug 2021 23:55:57 +0200

mpi4py (3.1.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches
      docs_sphinx_python3.patch, fix_pytest4.patch, up_libm
  * run tests using test/runtests.py (otherwise there could be CUDA
    configuration problems, see upstream Issue #80)
    - drop Build-Depends: python3-nose
    - run verbose tests on single processor,
      then full tests with mpirun -n 5, non-verbose
  * override dh_auto_clean: remove generated docs/source/usrman/reference
  * use pybuild build_dir as PYTHONPATH during build
  * drop debian patch up_tests_network_attr
    (trying to run tests without nose)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Aug 2021 17:06:47 +0200

mpi4py (3.0.3-10) unstable; urgency=medium

  * Team upload.
  * reinstate Depends: python3-pytest in debian/tests.
  * add dummy test to debian/tests/control so that mpi4py tests are
    triggered by changes to libpmix-dev, libucx-dev (selected arches)
    Thanks Graham Inggs for the patch.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Aug 2021 12:46:38 +0200

mpi4py (3.0.3-9) unstable; urgency=medium

  * Team upload.
  * debian patch skip_spawn_tests.patch skips all spawn tests
    (test_spawn.py) for OpenMPI. Spawn not stable in OpenMPI 4, see
    https://github.com/jsquyres/ompi/pull/4#issuecomment-806897758
    In particular it causes builds to fail in chroots (buildds).
    MPI spawn instability appears to have been triggered by
    pmix/4.1.0-3. Closes: #993214,

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Aug 2021 11:25:54 +0200

mpi4py (3.0.3-8) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Jan 2021 15:54:22 +0100

mpi4py (3.0.3-7) unstable; urgency=medium

  * Team upload.
  * extend debian patch skip_failing_test_rma.patch to skip the
    affected tests for any openmpi release >=4.0.4,<4.1. Review fails
    when openmpi 4.1 is released. Closes: #974560.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Nov 2020 12:56:39 +0800

mpi4py (3.0.3-6) unstable; urgency=medium

  * Team upload.
  * debian patch skip_failing_test_rma.patch skips
    tests in test_rma.py, test_rma_nb.py and test_win.py which
    segfault or fail with OpenMPI 4.0.4
    See Bug#965352 and upstream Issue #171.

 -- Drew Parsons <dparsons@debian.org>  Sat, 08 Aug 2020 09:32:42 +0800

mpi4py (3.0.3-5) unstable; urgency=medium

  * Team upload.
  * use verbose output with pytest in debian/tests (autopkgtest)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Jul 2020 23:23:42 +0800

mpi4py (3.0.3-4) unstable; urgency=medium

  * Team upload.
  * debian patch skip_ppc_failing_tests.patch skips tests
    testCreateF90RealDouble and testCreateF90ComplexDouble in
    test_datatype.py on all ppc arches, where they fail with OpenMPI 4.
    These tests pass on other arches. See Bug#948655.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Jan 2020 06:22:02 +0800

mpi4py (3.0.3-3) unstable; urgency=medium

  * Team upload.
  * restore installation of python3-dbg module libs in python3-mpi4py-dbg

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Jan 2020 19:34:48 +0800

mpi4py (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * drop python-mpi4py (remove python2). Closes: #937088.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jan 2020 15:33:23 +0800

mpi4py (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Nov 2019 12:36:15 +0800

mpi4py (3.0.2-13) unstable; urgency=medium

  * Team upload.
  * fix override_dh_strip to ignore missing debug .so files (not
    installed in doc arch-indep builds). Closes: #938970.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Aug 2019 01:39:45 +0800

mpi4py (3.0.2-12) unstable; urgency=medium

  * Team upload.
  * source-only upload to let python3-mpi4py-dbg migrate into testing

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2019 13:45:46 +0800

mpi4py (3.0.2-11) unstable; urgency=medium

  * Team upload.
  * provide python3-mpi4py-dbg built with python3-dbg
    (and python-mpi4py-dbg for python-dbg)

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Aug 2019 19:48:16 +0800

mpi4py (3.0.2-10) unstable; urgency=medium

  * Team upload.
  * debian patch fix_pytest4.patch updates [pytest] to [tool:pytest]
    for pytest4.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2019 08:56:32 +0800

mpi4py (3.0.2-9) unstable; urgency=medium

  * Team upload.
  * debian/tests: run with --color=no to make debci logs easier to read

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Jul 2019 20:36:43 +0800

mpi4py (3.0.2-8) unstable; urgency=medium

  * Team upload.
  * install pdf, info, man and bib documentation files
  * debian/rules: set ARCH_IGNORE_FAILED_TESTS=hurd-i386 to ignore
    test failures on hurd.
  * debian patch fix_docs.patch repositions ellipses (...) which
    at the beginning of the line corrupted the man page.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jul 2019 17:59:26 +0800

mpi4py (3.0.2-7) unstable; urgency=medium

  * Team upload.
  * debian/tests:
    - run with mpiexec -n 5 (recommended by upstream)
    - Restrictions: allow-stderr (to ignore a warning about
      MPI_THREAD_MULTIPLE on non-RMA/Infiniband hardware)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jul 2019 17:47:35 +0800

mpi4py (3.0.2-6) unstable; urgency=medium

  * Team upload.
  * set OMPI_MCA_rmaps_base_oversubscribe=yes in debian/tests/control
    to allow MPI spawn tests. Run tests with mpiexec -n 3.
  * update debian patch up_libm with upstream commit 89f86e9.

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 21:47:42 +0800

mpi4py (3.0.2-5) unstable; urgency=medium

  * Team upload.
  * don't build docs during arch binary builds:
    split override_dh_auto_build into -arch and -indep
  * debian/tests Depends: python3-nose
  * update Homepage: https://bitbucket.org/mpi4py/mpi4py

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 13:53:53 +0800

mpi4py (3.0.2-4) unstable; urgency=medium

  * Team upload.
  * mark python-mpi4py-doc as Multi-Arch: foreign
  * add python module dependencies for debian/tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 08:09:00 +0800

mpi4py (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * drop fix-dlopen.patch again. libm.so fixes for test_dl.py belong in
    debian patch up_libm.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jul 2019 01:23:37 +0800

mpi4py (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * skip build tests on x32 (they consistently time out)
  * add debian/tests to support autopkgtest
  * reinstate debian patch fix-dlopen.patch and use
    ctypes.util.find_library to find the system's libm.so.
    Needed for systems without lib.so.6 (alpha, ia64).
    Closes: #840817.
  * reinstate build test failures as errors not warnings.
    Tests are now expected to pass. Closes: #856349.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jul 2019 00:47:26 +0800

mpi4py (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #897956.
    - deprecates debian patch fix-dlopen.patch
  * Move mpi4py packaging to the Debian Science Team.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12
    - drop autoreconf from dh addons (now applied automatically)
    - dh_dwz has been deactivated since it generates an error:
      ".debug_line reference above end of section"
    - docs now placed in /usr/share/doc/python-mpi4py not
      .../python-mpi4py-doc
  * Use pybuild, cython3, python3-sphinx to build.
    - debian patch docs_sphinx_python3.patch invokes python3-sphinx
  * python3-mpi4py Depends: mpi-default-bin. Closes: #821466.
  * add debian/missing-sources to satisfy lintian errors for
    redirect.html, jquery.js, underscore.js

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jul 2019 00:31:51 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-mpi4py`.
